Probability (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.ml.naivebayes, class: Probability

# Class Probability<T>

java.lang.Object
opennlp.tools.ml.naivebayes.Probability<T>

Type Parameters:
  `T` - The label (category) class.

Direct Known Subclasses:
  `LogProbability`

public class Probability<T> extends Object
Class implementing the probability for a label.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Probability(T label)`
  Instantiates a `Probability` with a given `label`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIn(double probability)`
  Compounds the existing probability mass on the label with the new probability passed in to the method.
  `Double`
  `get()`
  `T`
  `getLabel()`
  `Double`
  `getLog()`
  `boolean`
  `isLarger(Probability<T> probability)`
  Checks if a probability is greater than the old one.
  `void`
  `set(double probability)`
  Assigns a probability to a label, discarding any previously assigned probability.
  `void`
  `set(Probability<T> probability)`
  Assigns a probability to a label, discarding any previously assigned probability.
  `void`
  `setIfLarger(double probability)`
  Assigns a probability to a label, discarding any previously assigned probability, if the new probability is greater than the old one.
  `void`
  `setIfLarger(Probability<T> probability)`
  Assigns a probability to a label, discarding any previously assigned probability, if the new probability is greater than the old one.
  `void`
  `setLog(double probability)`
  Assigns a log probability to a label, discarding any previously assigned probability.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Probability

    public Probability(T label)
    Instantiates a `Probability` with a given `label`.
    Parameters:
      `label` - The `label` to assign probabilities to.

- ## Method Details

  - ### set

    public void set(double probability)
    Assigns a probability to a label, discarding any previously assigned probability.
    Parameters:
      `probability` - The probability to assign.

  - ### set

    public void set(Probability<T> probability)
    Assigns a probability to a label, discarding any previously assigned probability.
    Parameters:
      `probability` - The probability to assign.

  - ### setIfLarger

    public void setIfLarger(double probability)
    Assigns a probability to a label, discarding any previously assigned probability, if the new probability is greater than the old one.
    Parameters:
      `probability` - The probability to assign.

  - ### setIfLarger

    public void setIfLarger(Probability<T> probability)
    Assigns a probability to a label, discarding any previously assigned probability, if the new probability is greater than the old one.
    Parameters:
      `probability` - The probability to assign.

  - ### isLarger

    public boolean isLarger(Probability<T> probability)
    Checks if a probability is greater than the old one.
    Parameters:
      `probability` - The probability to assign.
    Returns:
      `true` if a probability is greater than the old one, `false` otherwise.

  - ### setLog

    public void setLog(double probability)
    Assigns a log probability to a label, discarding any previously assigned probability.
    Parameters:
      `probability` - The log probability to assign.

  - ### addIn

    public void addIn(double probability)
    Compounds the existing probability mass on the label with the new probability passed in to the method.
    Parameters:
      `probability` - The probability weight to add.

  - ### get

    public Double get()
    Returns:
      Retrieves the probability associated with a label.

  - ### getLog

    public Double getLog()
    Returns:
      Retrieves the log probability associated with a label.

  - ### getLabel

    public T getLabel()
    Returns:
      Retrieves the probabilities associated with all labels.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`